Exchanges an authorization code for an access token, or refreshes an existing access token.
curl --request POST \
--url https://auth.calendly.com/oauth/token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data grant_type=authorization_code \
--data 'client_id=<string>' \
--data 'code=<string>' \
--data 'code_verifier=<string>' \
--data 'redirect_uri=<string>' \
--data 'client_secret=<string>'{
"access_token": "<string>",
"refresh_token": "<string>",
"token_type": "Bearer",
"scope": "<string>",
"expires_in": 123,
"created_at": 123,
"owner": "<string>",
"organization": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://calendly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
curl --request POST \
--url https://auth.calendly.com/oauth/token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data grant_type=authorization_code \
--data 'client_id=<string>' \
--data 'code=<string>' \
--data 'code_verifier=<string>' \
--data 'redirect_uri=<string>' \
--data 'client_secret=<string>'{
"access_token": "<string>",
"refresh_token": "<string>",
"token_type": "Bearer",
"scope": "<string>",
"expires_in": 123,
"created_at": 123,
"owner": "<string>",
"organization": "<string>"
}